Name: nuttcp
Version: 6.1.2
Release: 1%{?dist}
Source0: ftp://ftp.lcp.nrl.navy.mil/pub/nuttcp/%{name}-%{version}.tar.bz2
Patch1: nuttcp-6.1.2-tcp-win-crash.patch
Patch2: nuttcp-6.1.2-format.patch
URL: ftp://ftp.lcp.nrl.navy.mil/pub/nuttcp/
Summary: Tool for testing TCP connections
Group: Applications/Internet
License: Public Domain
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
nuttcp is a network performance measurement tool intended for use by
network and system managers.  Its most basic usage is to determine the
raw TCP (or UDP) network layer throughput by transferring memory buffers
from a source system across an interconnecting network to a destination
system, either transferring data for a specified time interval, or
alternatively transferring a specified number of buffers.  In addition
to reporting the achieved network throughput in Mbps, nuttcp also
provides additional useful information related to the data transfer
such as user, system, and wall-clock time, transmitter and receiver
CPU utilization, and loss percentage (for UDP transfers).

%prep
%setup -q

%patch1 -p1 -b .tcp-adv-win
%patch2 -p1 -b .format

#sed -i -e "s,/usr/local/bin,%{_bindir},g;" \
#       -e  "s,disable\(.*\)no,disable\t\t= yes,g" xinetd.d/*

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_mandir}/man8,%{_bindir},%{_sysconfdir}/xinetd.d}
install -m755 %{name}-%{version} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -pm644 %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p %{buildroot}%{_unitdir}

%clean
rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README examples.txt nuttcp.html xinetd.d/nuttcp4 xinetd.d/nuttcp6
%{_bindir}/%{name}
%{_mandir}/man8/*


%changelog
* Tue Sep 20 2016 Nikos Mavrogiannopoulos <nmav@redhat.com> - 6.1.2-1
- Initial release for el6
